> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Park POS Sale

POST https://api.npretail.app/{tenant}/{environment}/{company}/pos/sale/{saleId}/park

Saves the active POS sale as a Saved Sale Entry for later resumption. The active POS Sale is removed; its state is
serialized into the Saved Sale Entry. Returns the new Saved Sale Entry's systemId (used as the input to the resume
endpoint), ticket number, POS unit, and park timestamp. Returns 404 if the active sale does not exist, 400 if the
sale's POS Unit is not open for sales.

Reference: https://docs.navipartner.com/apis/api-reference/pos/possale/park-pos-sale

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `saleId` (UUID, required) — The id of a POS sale. This can be provided by the API consumer when creating a new sale.

## Response

### 201

- `saleId` (UUID, required) — The systemId of the Saved Sale Entry. Pass this to POST /pos/sale/\{saleId}/resume to restore the sale.
- `receiptNo` (string, required) — The sales ticket number carried over from the active POS Sale.
- `posUnit` (string, required) — The POS Unit on which the sale was parked.
- `parkedAt` (datetime, required) — Timestamp when the sale was parked (UTC, sortable format).

## Examples

**Response**

```json
{
  "saleId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
  "receiptNo": "receiptNo",
  "posUnit": "posUnit",
  "parkedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park';
const options = {method: 'POST', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/tenant/environment/company/pos/sale/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/park")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```